Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I am needing a 3.0-ish version of Firefox that is used at a registration site as the webmaster has not upgraded and debugged the site to be compatible with Firefox 4.

  • 2 replies
  • 2 have this problem
  • 4 views
  • Last reply by vayamaji

more options

The site

https://fourwinds.com/ocf/login.php

only works with Firefox as the browser. The webmaster hasn't upgraded and debugged for use with Firefox 4. I am hoping to locate a copy of version 3.0-ish to be able to access this web site. Any suggestions?

Chosen solution

You can get Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html

If it is just for this one site, an alternative is to keep Firefox 4 but install the portable version of the earlier version of Firefox on your hard drive. You can get it from http://portableapps.com/apps/internet/firefox_portable - the legacy version section near the bottom of that page has links for older versions of Firefox.

Read this answer in context 👍 0

All Replies (2)

more options

Chosen Solution

You can get Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html

If it is just for this one site, an alternative is to keep Firefox 4 but install the portable version of the earlier version of Firefox on your hard drive. You can get it from http://portableapps.com/apps/internet/firefox_portable - the legacy version section near the bottom of that page has links for older versions of Firefox.

more options

Thank you so much! This will be a valuable resource for the entire crew of over 1500 people! To learn more about the event related to the above mentioned site, which occurs every July outside of Eugene, Oregon go to www.oregoncountryfair.org to check out some of the information about this 40 year old event. Again, thank you so much for helping me out!